## libbiod 0.1.0

=== src_ragel/Makefile ===
all: fastrecordparser recordparser regionparser

.PHONY : fastrecordparser

.PHONY : recordparser

.PHONY : regionparser

fastrecordparser: 
	ragel sam_alignment.rl -D -G2
	./workarounds/fix_switch_case_fallthrough.sh sam_alignment.d
	echo 'module bio.sam.utils.fastrecordparser;' | cat - sam_alignment.d > .sam_alignment.d.tmp
	rm sam_alignment.d
	mv .sam_alignment.d.tmp fastrecordparser.d

recordparser: 
	ragel sam_alignment.rl -D
	./workarounds/fix_static_const.sh sam_alignment.d
	echo 'module bio.sam.utils.recordparser;' | cat - sam_alignment.d > .sam_alignment.d.tmp
	rm sam_alignment.d
	mv .sam_alignment.d.tmp recordparser.d

regionparser:
	ragel region.rl -D
	./workarounds/fix_static_const.sh region.d

clean:
	rm -f *parser.d region.d

=== debian/changelog ===
libbiod (0.1.0-5build1) bionic; urgency=medium

  * No-change rebuild for libphobos2-ldc soname change.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Mar 2018 08:02:40 +0800

libbiod (0.1.0-5) unstable; urgency=medium

  * Build-Depends: dh-dlang
  * Standards-Version: 4.1.3
  * debhelper 11
  * d/control: libbiod0 should be section libs

 -- Andreas Tille <tille@debian.org>  Tue, 20 Mar 2018 09:53:09 +0100

libbiod (0.1.0-4) unstable; urgency=medium

  * Team upload
  * Bump dependency on libundead-dev to build against
    shared library version (Closes: #868455)
  * Bump standards version: No changes needed
  * Use debhelper's built-in Meson support

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Aug 2017 12:24:00 -0400

libbiod (0.1.0-3) unstable; urgency=medium

  * Fix conversion issue on i386 (thanks for the patch to Matthias Klumpp
    <mak@debian.org>)
    Closes: #859688

 -- Andreas Tille <tille@debian.org>  Mon, 10 Apr 2017 09:57:27 +0200

libbiod (0.1.0-2) unstable; urgency=medium

  * Add missing Depends: libbiod0 (= ${binary:Version})
    Closes: #858523

 -- Andreas Tille <tille@debian.org>  Thu, 23 Mar 2017 10:47:42 +0100

libbiod (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #856735)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Mar 2017 14:46:58 +0100

=== debian/control ===
Source: libbiod
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-dlang,
               meson (>= 0.40),
               pkg-config,
               libundead-dev (>= 1.0.9-2),
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbiod.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbiod.git
Homepage: https://github.com/biod/BioD

Package: libbiod0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: bioinformatics library in D
 BioD is a fast and memory efficient bioinformatics library written in
 the D programming language. BioD aims to:
  * Provide a platform for writing high-performance bioinformatics
    applications in D. BioD achieves this by:
    - automatic parallelization of tasks where possible for example
      reading and writing BAM files.
    - reducing the GC overhead by avoiding unnecessary memory allocations
  * Offer support for manipulating common biological data formats.
  * Write clear documented and maintainable codebase.
 .
 This package contains the dynamic library.

Package: libbiod-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbiod0 (= ${binary:Version})
Description: bioinformatics library in D (development files)
 BioD is a fast and memory efficient bioinformatics library written in
 the D programming language. BioD aims to:
  * Provide a platform for writing high-performance bioinformatics
    applications in D. BioD achieves this by:
    - automatic parallelization of tasks where possible for example
      reading and writing BAM files.
    - reducing the GC overhead by avoiding unnecessary memory allocations
  * Offer support for manipulating common biological data formats.
  * Write clear documented and maintainable codebase.
 .
 This package contains the include files for development.

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1

include /usr/share/dh-dlang/dlang-flags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4

https://github.com/biod/BioD/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## libbiod 0.2.1

=== debian/changelog ===
libbiod (0.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 08:07:56 +0200

libbiod (0.1.0-6) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Cherry pick patch from upstream (thanks for the hint to Matthias Klumpp)
    Closes: #907451

 -- Andreas Tille <tille@debian.org>  Wed, 29 Aug 2018 20:38:20 +0200

## libbiod 0.2.3%2Bgit20191120.b8eecef

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1

include /usr/share/dh-dlang/dlang-flags.mk

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Doptimize_strong=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	# we ignore test failures for now, the tests fail to find a few files correctly
	-dh_auto_test

## libbiod 0.2.3+git20191120.b8eecef

=== Makefile ===
# Simple Makefile
#
#   make sharedlibrary  : make shared library

D_COMPILER=ldc2
DFLAGS = -wi -g -relocation-model=pic -Icontrib/undead -L-lz

ifndef GUIX
  ifdef GUIX_ENVIRONMENT
    GUIX=$(GUIX_ENVIRONMENT)
  endif
endif
ifdef GUIX
  LIBRARY_PATH=$(GUIX)/lib
endif

DLIBS       = $(LIBRARY_PATH)/libphobos2-ldc.a $(LIBRARY_PATH)/libdruntime-ldc.a
DLIBS_DEBUG = $(LIBRARY_PATH)/libphobos2-ldc-debug.a $(LIBRARY_PATH)/libdruntime-ldc-debug.a

SRC         = $(wildcard contrib/undead/*.d) contrib/undead/*/*.d $(wildcard bio/*.d bio/*/*.d bio/*/*/*.d bio/*/*/*/*.d bio/*/*/*/*/*.d bio/*/*/*/*/*/*.d) test/unittests.d
OBJ         = $(SRC:.d=.o)
BIN         = bin/biod_tests
sharedlibrary:  BIN = libbiod.so

debug check:    DFLAGS += -O0 -d-debug -unittest -link-debuglib
release static: DFLAGS += -O3 -release -enable-inlining -boundscheck=off
static:         DFLAGS += -static -L-Bstatic
sharedlibrary:  DFLAGS += -shared

all: debug

default: all

default debug release static sharedlibrary: $(BIN)

%.o: %.d
	$(D_COMPILER) $(DFLAGS) -c $< -od=$(dir $@)

$(BIN): $(OBJ)
	$(info linking...)
	$(D_COMPILER) -main $(DFLAGS) $(OBJ) -of=$(BIN)

check: $(BIN)
	$(info running tests...)
	$(BIN) "--DRT-gcopt=gc:precise disable:1 cleanup:none"

clean:
	rm -vf $(OBJ)
	rm -v $(BIN)
        # find -name '*.o' -exec rm \{\} \;

=== debian/changelog ===
libbiod (0.2.3+git20191120.b8eecef-2build2) focal; urgency=medium

  * Rebuild against new ldc90.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Feb 2020 17:54:18 +0100

libbiod (0.2.3+git20191120.b8eecef-2build1) focal; urgency=medium

  * Rebuild against new ldc88.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jan 2020 18:32:41 +0100

libbiod (0.2.3+git20191120.b8eecef-2) unstable; urgency=medium

  * Restrict architectures to amd64 and arm64 where the package
    really builds
    Closes: #948918

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 21:35:33 +0100

libbiod (0.2.3+git20191120.b8eecef-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #912077
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * libundead is not needed any more
  * Remove old patches
  * Rebuild to bump dependencies latest libphobos2-ldc-shared
    Closes: #927166
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Matthias Klumpp ]
  * respect-env-dflags.patch: Make Makefile respect environment flags
  * d/watch: Look for release tags only again
  * add-meson-build.patch: Build the software with Meson
  * Build with optimization flags from upstream
  * Ignore test failures for now (Closes: #917721)
  * Include a static library build

 -- Matthias Klumpp <mak@debian.org>  Sun, 15 Dec 2019 12:36:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,21 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-dlang,
-               meson (>= 0.40),
+               meson (>= 0.48),
                pkg-config,
-               libundead-dev (>= 1.0.9-2),
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbiod.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbiod.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/libbiod
+Vcs-Git: https://salsa.debian.org/med-team/libbiod.git
 Homepage: https://github.com/biod/BioD
 
 Package: libbiod0
-Architecture: any
+Architecture: amd64 arm64
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: bioinformatics library in D
  BioD is a fast and memory efficient bioinformatics library written in
  the D programming language. BioD aims to:
@@ -35,9 +34,9 @@
 Package: libbiod-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
+Depends: libbiod0 (= ${binary:Version}),
          ${misc:Depends},
-         libbiod0 (= ${binary:Version})
+         ${shlibs:Depends}
 Description: bioinformatics library in D (development files)
  BioD is a fast and memory efficient bioinformatics library written in
  the D programming language. BioD aims to:

=== debian/watch ===
version=4

https://github.com/biod/BioD/tags .*/v?(\d\S*)\.tar\.gz
